package cz.moneta.test.dsl.util.task.ufo.operations;

import cz.moneta.test.dsl.Harness;

public class OperationsTasks {

    private final Harness harness;

    public OperationsTasks(Harness harness) {
        this.harness = harness;
    }

    public ClientDetailsTasks clientDetails() {
        return new ClientDetailsTasks(harness);
    }

    public RecorderTasks recorder() {
        return new RecorderTasks(harness);
    }

    public SearchClientTasks searchClient() {
        return new SearchClientTasks(harness);
    }

    public LoginTasks login() {
        return new LoginTasks(harness);
    }

    public BlacklistWhitelistTasks blacklistWhitelist() {
        return new BlacklistWhitelistTasks(harness);
    }

    public ProductActivationTasks productActivation() {
        return new ProductActivationTasks(harness);
    }

    public ManualFraudCheckTasks manualFraudCheckTasks() {
        return new ManualFraudCheckTasks(harness);
    }

    public DocumentProcessTasks documentProcessTasks() {
        return new DocumentProcessTasks(harness);
    }

    public MeetingTasks meetingTasks() {
        return new MeetingTasks(harness);
    }

    public ChangeContactAddressTasks changeContactAddressTasks() {
        return new ChangeContactAddressTasks(harness);
    }

    public TasksTasks tasks() {
        return new TasksTasks(harness);
    }

    public DebitCardChangesTasks debitCardChangesTasks() {
        return new DebitCardChangesTasks(harness);
    }

    public CurrentAccountTasks currentAccountTasks() {
        return new CurrentAccountTasks(harness);
    }

    public SavingAccountTasks savingAccountTasks() {
        return new SavingAccountTasks(harness);
    }

    public GdprTasks gdprTasks() {
        return new GdprTasks(harness);
    }

    public InfoServiceTasks infoServiceTasks() {
        return new InfoServiceTasks(harness);
    }

    public BankBackOfficeTasks bankBackOfficeTasks() {
        return new BankBackOfficeTasks(harness);
    }

    public PaymentOrderTasks paymentOrderTasks() {
        return new PaymentOrderTasks(harness);
    }

    public PrintTemplateTasks printTemplateTasks() {
        return new PrintTemplateTasks(harness);
    }

    public TransactionsTasks transactionsTasks() {
        return new TransactionsTasks(harness);
    }
}